
void _efl_net_server_ip_ipv6_only_set(Eo *obj, Efl_Net_Server_Ip_Data *pd, Eina_Bool ipv6_only);


static Eina_Error
__eolian_efl_net_server_ip_ipv6_only_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_net_server_ip_ipv6_only_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

ECORE_CON_API ECORE_CON_API_WEAK EFL_VOID_FUNC_BODYV(efl_net_server_ip_ipv6_only_set, EFL_FUNC_CALL(ipv6_only), Eina_Bool ipv6_only);

Eina_Bool _efl_net_server_ip_ipv6_only_get(const Eo *obj, Efl_Net_Server_Ip_Data *pd);


static Eina_Value
__eolian_efl_net_server_ip_ipv6_only_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_net_server_ip_ipv6_only_get(obj);
   return eina_value_bool_init(val);
}

ECORE_CON_API ECORE_CON_API_WEAK EFL_FUNC_BODY_CONST(efl_net_server_ip_ipv6_only_get, Eina_Bool, 0);

Efl_Object *_efl_net_server_ip_efl_object_constructor(Eo *obj, Efl_Net_Server_Ip_Data *pd);


static Eina_Bool
_efl_net_server_ip_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_NET_SERVER_IP_EXTRA_OPS
#define EFL_NET_SERVER_IP_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_net_server_ip_ipv6_only_set, _efl_net_server_ip_ipv6_only_set),
      EFL_OBJECT_OP_FUNC(efl_net_server_ip_ipv6_only_get, _efl_net_server_ip_ipv6_only_get),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_net_server_ip_efl_object_constructor),
      EFL_NET_SERVER_IP_EXTRA_OPS
   );
   opsp = &ops;

   static const Efl_Object_Property_Reflection refl_table[] = {
      {"ipv6_only", __eolian_efl_net_server_ip_ipv6_only_set_reflect, __eolian_efl_net_server_ip_ipv6_only_get_reflect},
   };
   static const Efl_Object_Property_Reflection_Ops rops = {
      refl_table, EINA_C_ARRAY_LENGTH(refl_table)
   };
   ropsp = &rops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_net_server_ip_class_desc = {
   EO_VERSION,
   "Efl.Net.Server_Ip",
   EFL_CLASS_TYPE_REGULAR_NO_INSTANT,
   sizeof(Efl_Net_Server_Ip_Data),
   _efl_net_server_ip_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_net_server_ip_class_get, &_efl_net_server_ip_class_desc, EFL_NET_SERVER_FD_CLASS, NULL);
